be.fgov.ehealth.standards.kmehr.schema.v1

## Class PersonType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.schema.v1.PersonType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:08:35+01:00",
                 comments="JAXB RI v2.3.7")
      public class PersonType
      extends Object
      implements Serializable

  Java class for personType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="personType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-PATIENT" maxOccurs="unbounded"/>
               <element name="firstname" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/>
               <element name="familyname" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="birthdate" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}dateType" minOccurs="0"/>
               <element name="birthlocation" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}addressTypeBase" minOccurs="0"/>
               <element name="deathdate" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}dateType" minOccurs="0"/>
               <element name="deathlocation" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}addressTypeBase" minOccurs="0"/>
               <element name="sex" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}sexType"/>
               <element name="nationality" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-COUNTRY"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="address" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}addressType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="telecom" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}telecomType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="usuallanguage" type="{http://www.w3.org/2001/XMLSchema}language" minOccurs="0"/>
               <element name="profession" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}professionType" minOccurs="0"/>
               <element name="insurancystatus" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}insuranceType" minOccurs="0"/>
               <element name="insurancymembership" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}memberinsuranceType" minOccurs="0"/>
               <element name="recorddatetime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="civilstate" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-CIVILSTATE"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AddressType>` | `getAddresses()` Gets the value of the addresses property.
    `DateType` | `getBirthdate()` Gets the value of the birthdate property.
    `AddressTypeBase` | `getBirthlocation()` Gets the value of the birthlocation property.
    `Civilstate` | `getCivilstate()` Gets the value of the civilstate property.
    `DateType` | `getDeathdate()` Gets the value of the deathdate property.
    `AddressTypeBase` | `getDeathlocation()` Gets the value of the deathlocation property.
    `String` | `getFamilyname()` Gets the value of the familyname property.
    `List<String>` | `getFirstnames()` Gets the value of the firstnames property.
    `List<IDPATIENT>` | `getIds()` Gets the value of the ids property.
    `MemberinsuranceType` | `getInsurancymembership()` Gets the value of the insurancymembership property.
    `InsuranceType` | `getInsurancystatus()` Gets the value of the insurancystatus property.
    `Nationality` | `getNationality()` Gets the value of the nationality property.
    `ProfessionType` | `getProfession()` Gets the value of the profession property.
    `org.joda.time.DateTime` | `getRecorddatetime()` Gets the value of the recorddatetime property.
    `SexType` | `getSex()` Gets the value of the sex property.
    `List<TelecomType>` | `getTelecoms()` Gets the value of the telecoms property.
    `List<TextType>` | `getTexts()` Gets the value of the texts property.
    `String` | `getUsuallanguage()` Gets the value of the usuallanguage property.
    `void` | `setBirthdate(DateType value)` Sets the value of the birthdate property.
    `void` | `setBirthlocation(AddressTypeBase value)` Sets the value of the birthlocation property.
    `void` | `setCivilstate(Civilstate value)` Sets the value of the civilstate property.
    `void` | `setDeathdate(DateType value)` Sets the value of the deathdate property.
    `void` | `setDeathlocation(AddressTypeBase value)` Sets the value of the deathlocation property.
    `void` | `setFamilyname(String value)` Sets the value of the familyname property.
    `void` | `setInsurancymembership(MemberinsuranceType value)` Sets the value of the insurancymembership property.
    `void` | `setInsurancystatus(InsuranceType value)` Sets the value of the insurancystatus property.
    `void` | `setNationality(Nationality value)` Sets the value of the nationality property.
    `void` | `setProfession(ProfessionType value)` Sets the value of the profession property.
    `void` | `setRecorddatetime(org.joda.time.DateTime value)` Sets the value of the recorddatetime property.
    `void` | `setSex(SexType value)` Sets the value of the sex property.
    `void` | `setUsuallanguage(String value)` Sets the value of the usuallanguage property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonType

          public PersonType()

  - ### Method Detail

    - #### getIds

          public List<IDPATIENT> getIds()

      Gets the value of the ids property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

      For example, to add a new item, do as follows:

              getIds().add(newItem);

      Objects of the following type(s) are allowed in the list `IDPATIENT`

    - #### getFirstnames

          public List<String> getFirstnames()

      Gets the value of the firstnames property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the firstnames property.

      For example, to add a new item, do as follows:

              getFirstnames().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getFamilyname

          public String getFamilyname()

      Gets the value of the familyname property.
      Returns:
        possible object is `String`

    - #### setFamilyname

          public void setFamilyname(String value)

      Sets the value of the familyname property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBirthdate

          public DateType getBirthdate()

      Gets the value of the birthdate property.
      Returns:
        possible object is `DateType`

    - #### setBirthdate

          public void setBirthdate(DateType value)

      Sets the value of the birthdate property.
      Parameters:
        `value` - allowed object is `DateType`

    - #### getBirthlocation

          public AddressTypeBase getBirthlocation()

      Gets the value of the birthlocation property.
      Returns:
        possible object is `AddressTypeBase`

    - #### setBirthlocation

          public void setBirthlocation(AddressTypeBase value)

      Sets the value of the birthlocation property.
      Parameters:
        `value` - allowed object is `AddressTypeBase`

    - #### getDeathdate

          public DateType getDeathdate()

      Gets the value of the deathdate property.
      Returns:
        possible object is `DateType`

    - #### setDeathdate

          public void setDeathdate(DateType value)

      Sets the value of the deathdate property.
      Parameters:
        `value` - allowed object is `DateType`

    - #### getDeathlocation

          public AddressTypeBase getDeathlocation()

      Gets the value of the deathlocation property.
      Returns:
        possible object is `AddressTypeBase`

    - #### setDeathlocation

          public void setDeathlocation(AddressTypeBase value)

      Sets the value of the deathlocation property.
      Parameters:
        `value` - allowed object is `AddressTypeBase`

    - #### getSex

          public SexType getSex()

      Gets the value of the sex property.
      Returns:
        possible object is `SexType`

    - #### setSex

          public void setSex(SexType value)

      Sets the value of the sex property.
      Parameters:
        `value` - allowed object is `SexType`

    - #### getNationality

          public Nationality getNationality()

      Gets the value of the nationality property.
      Returns:
        possible object is `Nationality`

    - #### setNationality

          public void setNationality(Nationality value)

      Sets the value of the nationality property.
      Parameters:
        `value` - allowed object is `Nationality`

    - #### getAddresses

          public List<AddressType> getAddresses()

      Gets the value of the addresses property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the addresses property.

      For example, to add a new item, do as follows:

              getAddresses().add(newItem);

      Objects of the following type(s) are allowed in the list `AddressType`

    - #### getTelecoms

          public List<TelecomType> getTelecoms()

      Gets the value of the telecoms property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the telecoms property.

      For example, to add a new item, do as follows:

              getTelecoms().add(newItem);

      Objects of the following type(s) are allowed in the list `TelecomType`

    - #### getUsuallanguage

          public String getUsuallanguage()

      Gets the value of the usuallanguage property.
      Returns:
        possible object is `String`

    - #### setUsuallanguage

          public void setUsuallanguage(String value)

      Sets the value of the usuallanguage property.
      Parameters:
        `value` - allowed object is `String`

    - #### getProfession

          public ProfessionType getProfession()

      Gets the value of the profession property.
      Returns:
        possible object is `ProfessionType`

    - #### setProfession

          public void setProfession(ProfessionType value)

      Sets the value of the profession property.
      Parameters:
        `value` - allowed object is `ProfessionType`

    - #### getInsurancystatus

          public InsuranceType getInsurancystatus()

      Gets the value of the insurancystatus property.
      Returns:
        possible object is `InsuranceType`

    - #### setInsurancystatus

          public void setInsurancystatus(InsuranceType value)

      Sets the value of the insurancystatus property.
      Parameters:
        `value` - allowed object is `InsuranceType`

    - #### getInsurancymembership

          public MemberinsuranceType getInsurancymembership()

      Gets the value of the insurancymembership property.
      Returns:
        possible object is `MemberinsuranceType`

    - #### setInsurancymembership

          public void setInsurancymembership(MemberinsuranceType value)

      Sets the value of the insurancymembership property.
      Parameters:
        `value` - allowed object is `MemberinsuranceType`

    - #### getRecorddatetime

          public org.joda.time.DateTime getRecorddatetime()

      Gets the value of the recorddatetime property.
      Returns:
        possible object is `String`

    - #### setRecorddatetime

          public void setRecorddatetime(org.joda.time.DateTime value)

      Sets the value of the recorddatetime property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTexts

          public List<TextType> getTexts()

      Gets the value of the texts property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the texts property.

      For example, to add a new item, do as follows:

              getTexts().add(newItem);

      Objects of the following type(s) are allowed in the list `TextType`

    - #### getCivilstate

          public Civilstate getCivilstate()

      Gets the value of the civilstate property.
      Returns:
        possible object is `Civilstate`

    - #### setCivilstate

          public void setCivilstate(Civilstate value)

      Sets the value of the civilstate property.
      Parameters:
        `value` - allowed object is `Civilstate`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.